import request from "../../utils/request";

/**
 * 查询三测单 所有列表数据
 * @param data
 * @returns {AxiosPromise}
 */
export function queryThreeTestList(data) {
    return request({
        url: '/medicalAdvice/nursingManagement/queryThreeTestList',
        method: 'post',
        data,
    })
}

/**
 * 保存三测单信息
 * @param data
 * @returns {AxiosPromise}
 */
export function saveThreeTest(data) {
    return request({
        url: '/medicalAdvice/nursingManagement/saveThreeTest',
        method: 'post',
        data,
    })
}

export function queyGm(data) {
    return request({
        url: '/medicalAdvice/nursingManagement/queyGm',
        method: 'post',
        data,
    })
}

export function saveGm(data) {
    return request({
        url: '/medicalAdvice/nursingManagement/saveGm',
        method: 'post',
        data,
    })
}

/**
 * 查询皮试信息
 * @param data
 * @returns {AxiosPromise}
 */
export function queryPsInfo(data) {
    return request({
        url: '/medicalAdvice/nursingManagement/queryPsInfo',
        method: 'post',
        data,
    })
}

/**
 * 更新皮试信息
 * @param data
 * @returns {AxiosPromise}
 */
export function updatePsInfo(data) {
    return request({
        url: '/medicalAdvice/nursingManagement/updatePsInfo',
        method: 'post',
        data,
    })
}


export function deleteYzTemperature(data) {
    return request({
        url: '/medicalAdvice/nursingManagement/deleteYzTemperature',
        method: 'post',
        data,
    })
}


export function deleteYzTemperatureSum(data) {
    return request({
        url: '/medicalAdvice/nursingManagement/deleteYzTemperatureSum',
        method: 'post',
        data,
    })
}

/**
 * 查询护理记录
 * @param data
 * @returns {AxiosPromise}
 */
export function queryNursingRecord(data) {
    return request({
        url: '/medicalAdvice/nursingManagement/queryNursingRecord',
        method: 'post',
        data,
    })
}

/**
 * 查询医嘱转科开始时间 结束时间下拉框
 * @param data
 * @returns {AxiosPromise}
 */
export function queryOrderTime(data) {
    return request({
        url: '/medicalAdvice/nursingManagement/queryOrderTime',
        method: 'post',
        data,
    })
}

/**
 * 保存护理单
 * @param data
 * @returns {AxiosPromise}
 */
export function saveYzTemperature(data) {
    return request({
        url: '/medicalAdvice/nursingManagement/saveYzTemperature',
        method: 'post',
        data,
    })
}

/**
 * 获取三测单信息
 * @param data
 * @returns {AxiosPromise}
 */
export function queryScdYzTemperature(data) {
    return request({
        url: '/medicalAdvice/nursingManagement/queryScdYzTemperature',
        method: 'post',
        data,
    })
}

/**
 * 计算出入量
 * @param data
 * @returns {AxiosPromise}
 */
export function calInputOutSum(data) {
    return request({
        url: '/medicalAdvice/nursingManagement/calInputOutSum',
        method: 'post',
        data,
    })
}

/**
 * 查询护理模板
 * @param data
 * @returns {AxiosPromise}
 */
export function queryyzHlMb(data) {
    return request({
        url: '/medicalAdvice/nursingManagement/queryyzHlMb',
        method: 'post',
        data,
    })
}

/**
 * 保存护理模板
 * @param data
 * @returns {AxiosPromise}
 */
export function saveHlMb(data) {
    return request({
        url: '/medicalAdvice/nursingManagement/saveHlMb',
        method: 'post',
        data,
    })
}

/**
 * 删除护理模板
 * @param data
 * @returns {AxiosPromise}
 */
export function delHlMb(data) {
    return request({
        url: '/medicalAdvice/nursingManagement/delHlMb',
        method: 'post',
        data,
    })
}



/**
 * 查询员工下拉框
 * @param data
 * @returns {AxiosPromise}
 */
export function selectEmpInfo(keyWard) {
    return request({
        url: '/medicalAdvice/nursingManagement/selectEmpInfo',
        method: 'get',
        params: {keyWard}
    })
}

/**查询打印三测单的图表数据*/
export function getChartData(data) {
    return request({
        url: '/medicalAdvice/nursingManagement/getChartData',
        method: 'post',
        data,
    })
}

/**
 * 查询有几周
 * @param data
 * @returns {AxiosPromise}
 */
export function getWeek(data) {
    return request({
        url: '/medicalAdvice/nursingManagement/getWeek',
        method: 'post',
        data,
    })
}


